For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tags

List Tags

get

Get tags according to query filters.

Args: tag_filter_model: Filter model used for pagination, sorting, filtering hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: The tags according to query filters.

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
hydratebooleanOptionalDefault: false
sort_bystringOptionalDefault: created
logical_operatorstring · enumOptional

Logical Ops to use to combine filters on list methods.

Default: andPossible values:
pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 10000OptionalDefault: 20
idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
createdany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
updatedany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
scope_userstring · uuid · nullableOptional
userany of · nullableOptional
string · uuidOptional
or
stringOptional
or
nameany of · nullableOptional
stringOptional
or
string[]Optional
colorany of · nullableOptional
string · enumOptional

All possible color variants for frontend.

Possible values:
or
stringOptional
or
exclusiveboolean · nullableOptional
resource_typeany of · nullableOptional
string · enumOptional

All possible resource types for tagging.

Possible values:
or
stringOptional
or
Responses
200

Successful Response

application/json
indexintegerRequired
max_sizeintegerRequired
total_pagesintegerRequired
totalintegerRequired
get/api/v1/tags
GET /api/v1/tags HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "index": 1,
  "max_size": 1,
  "total_pages": 1,
  "total": 1,
  "items": [
    {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "color": "grey",
        "exclusive": true
      },
      "metadata": {
        "tagged_count": 1
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    }
  ]
}

Create Tag

post

Create a new tag.

Args: tag: The tag to create.

Returns: The created tag.

Authorizations
OAuth2passwordRequired
Token URL:
Body

Request model for tags.

userstring · uuid · nullableOptional
namestring · max: 255Required

The unique title of the tag.

exclusivebooleanOptional

The flag signifying whether the tag is an exclusive tag.

Default: false
colorstring · enumOptional

The color variant assigned to the tag.

Possible values:
Responses
200

Successful Response

application/json

Response model for tags.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required

The unique title of the tag.

post/api/v1/tags
POST /api/v1/tags HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 94

{
  "user": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "exclusive": false,
  "color": "grey"
}
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "color": "grey",
    "exclusive": true
  },
  "metadata": {
    "tagged_count": 1
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Update Tag

put

Updates a tag.

Args: tag_id: ID of the tag to update. tag_update_model: Tag to use for the update.

Returns: The updated tag.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
tag_idstring · uuidRequired
Body

Update model for tags.

namestring · nullableOptional
exclusiveboolean · nullableOptional
colorstring · enum · nullableOptional

All possible color variants for frontend.

Possible values:
Responses
200

Successful Response

application/json

Response model for tags.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required

The unique title of the tag.

put/api/v1/tags/{tag_id}
PUT /api/v1/tags/{tag_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "name": "text",
  "exclusive": true,
  "color": "grey"
}
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "color": "grey",
    "exclusive": true
  },
  "metadata": {
    "tagged_count": 1
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}
ZenML Scarf

Last updated

Was this helpful?